<br>


<div class="container">
    <h4>Contenido página principal footer</h4>
    <div class="card  text-dark bg-light mb-3">
        <div class="card-header">
            <div class="d-grid gap-2 d-md-flex justify-content-md-end">
                <button type="button" class="btn btn-primary me-md-2" (click)="openModal(show)"> Editar </button>
            </div>
        </div>
        <div class="card-body">
            <h5 class="card-title">Numero de teléfono</h5>
            {{ footer.numero_telefono }}
            <br>
            <br>
            <h5 class="card-title">Numero de celular</h5>
            {{ footer.numero_celular }}
            <br>
            <br>
            <h5 class="card-title">Link Instagram</h5>
            {{ footer.instagram }}
            <br>
            <br>
            <h5 class="card-title">Link facebook</h5>
            {{ footer.facebook }}
            <br>
            <br>
            <h5 class="card-title">Link whatsapp</h5>
            {{ footer.whatsapp }}

        </div>


        <ng-template #show let-modal>
            <div class="modal-header">
                <h4 class="modal-title"> Editar footer de pagina principal</h4>
                <button class="close" aria-label="close" type="button" (click)="modal.dismiss()">
                    <span aria-hidden="false">&times;</span>
                </button>
            </div>

            <div class="modal-body">
                <div class="container">
                    <h4>Número de teléfono</h4>
                    <div class="form-floating mb-3">
                        <input type="text" class="form-control" id="floatingInputTitulo" #telefono
                            value="{{ footer.numero_telefono }}">
                        <label for="floatingInputTitulo">Numero de teléfono</label>
                    </div>
                    <h4>Número de celular</h4>
                    <div class="form-floating">
                        <input type="text" class="form-control" id="floatingSubTitulo" #celular
                            value="{{ footer.numero_celular }}">
                        <label for="floatingSubTitulo">Número de celular</label>
                    </div>
                    <h4>Link de instagram</h4>
                    <div class="form-floating mb-3">
                        <input type="text" class="form-control" id="floatingInputTitulo" #insta
                            value="{{ footer.instagram }}">
                        <label for="floatingInputTitulo">Link de instagram</label>
                    </div>
                    <h4>Link de facebook</h4>
                    <div class="form-floating mb-3">
                        <input type="text" class="form-control" id="floatingInputTitulo" #face
                            value="{{ footer.facebook }}">
                        <label for="floatingInputTitulo">Link de facebook</label>
                    </div>
                    <h4>Link de whatsapp</h4>
                    <div class="form-floating mb-3">
                        <input type="text" class="form-control" id="floatingInputTitulo" #whatsapp
                            value="{{ footer.whatsapp }}">
                        <label for="floatingInputTitulo">Link de whatsapp</label>
                    </div>

                </div>
                <

            </div>
            <div class="modal-footer">
                <button type="submit" class="btn btn-success"
                    (click)="editar(telefono.value,celular.value,insta.value,face.value,whatsapp.value)">
                    Guardar cambios </button>
            </div>
        </ng-template>




    </div>
